com.github.lgooddatepicker.zinternaltools

## Class ExtraTimeStrings

- java.lang.Object
- - com.github.lgooddatepicker.zinternaltools.ExtraTimeStrings

    public class ExtraTimeStrings
    extends Object

ExtraTimeStrings, This class holds extra time strings. This includes: # Formats for parsing times in a particular language. All the fields and functions are static.

### Constructor Summary

Constructors
Constructor and Description
`ExtraTimeStrings()`

### Method Summary

All Methods Static Methods Concrete Methods
`static DateTimeFormatter` `getDefaultFormatForDisplayTime(Locale locale)`
`static DateTimeFormatter` `getDefaultFormatForMenuTimes(Locale locale)`
`static ArrayList<DateTimeFormatter>` `getExtraTimeParsingFormatsForLocale(Locale locale)` getExtraTimeParsingFormatsForLocale, This will return a list of extra parsing formatters for the specified locale.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtraTimeStrings

    public ExtraTimeStrings()

### Method Detail

#### getExtraTimeParsingFormatsForLocale

    public static ArrayList<DateTimeFormatter> getExtraTimeParsingFormatsForLocale(Locale locale)

getExtraTimeParsingFormatsForLocale, This will return a list of extra parsing formatters for the specified locale. If no extra formatters are found, then this will return an empty list. (This will never return null.)

#### getDefaultFormatForDisplayTime

    public static DateTimeFormatter getDefaultFormatForDisplayTime(Locale locale)

#### getDefaultFormatForMenuTimes

    public static DateTimeFormatter getDefaultFormatForMenuTimes(Locale locale)